Bug 474404 - fedora 9-->10 upgrade failed, RAID suspected
fedora 9-->10 upgrade failed, RAID suspected
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 12:45 EST by David Williams
Modified: 2013-01-09 23:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 14:14:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Williams 2008-12-03 12:45:16 EST
Description of problem:

Upgrade to Fedora 10 faied with both preupgrade (yum install preupgrade etc) and also using the live CD. Symptoms for both described.

System:
Dell Inpiron 530S, two hard drives both Wetern Digtal SATA, moel wD1600AAJS-0.
Raid configuration (CTRL-I) gives: Intel(R) Matrix Storage Manager Option ROM v7.5.0.1017 ICH9R. 

PREUPGRADE APPROACH:
After running preupgrde from fedora 9 and hitting 'reboot', get error:

"Multiple devices on your system are labelled 366259e3-84a5-405b-89bd-47767e76a057. Labels accross devices must be unique for your system to fuctio properly. Please fix this problem and restart the installation process. E_x_it installer."

Rebooting takes me back to Fedora 9 and all is OK using RAID. 


LIVE CD APPROACH

Live cD installed, then installed to hard drive. The window asking about the hard drives was a bit messed up - seemed to have text going off the side of the widow and being truncated. I pressed what ever I needed to to get beyond that screen. After that the installation failed giving a hard disk error (sorry didn't record the error).

I'll describe the process to get back the system since it my shed a little more light on the problem:

Reboot failed to take me back to fedora 9, hard disk error (sorry didn't record.
Live cD failed to even boot even though dVD drive first in the list.
Tried installing Windows (had to try something), installation CD worked, Windows blue-screened. I now knew the dvd drive was OK but something was wrong with the system.
Fedora 9 CD failed to work again (several attempts)
Used a back-up boot CD from 'nero' on  windows pc. Nero runs a version of linux (it report ISOLNUX..... during loading". this worked. No idea why this CD worked but the fedora 9 CD did not. I had experienced this before, needing to use the nero cd first - no idea why.
Tried fedora 9 and this time the CD worked.
Installation failed with a hard disk error (sorry didn't record).
Used ctrl-I, set disks to non raid. reboot, set to raid.
Tried fedora9, as before CD loaded but installation failed with hard disk error.
Used ctrl-I, set disks to non raid.
installed fedora 9 successfully from the live CD.
Then I did ctrl-I,  at rebootand set disks to raid.
then installed Fedora 9 and it runs using raid now.

Conclusion, I had to fully install fedora 9 non-raid to repair what ever fedora 10 wrote to the disks.

System works fine now using fedora 9.

(my fist bug report, so apologies if it's a bit rough)
David
Comment 1 Hans de Goede 2009-02-06 04:04:59 EST
Sounds like you're seeing a known issue with dmraid in F-10, can you try updating using one of these 2 updates.img (depending on your arch) :

When you start the installer, you will first get a screen asking you if you
want to "install / upgrade an existing system" or run memtest. At this screen
press <tab>, this will give you a commandline with the command behind the
selected option already typed in. *After* this command first type a space and
then type:
updates=http://people.atrpms.net/~hdegoede/updates474399-i386.img

Then press enter, and the installer will start normally, using some updated
files provided in the updates.img (may ask you to help it with network config
to get the updates.img)

Note if you are doing a 64 bit install the correct command to add to the
existing cmdline is:
updates=http://people.atrpms.net/~hdegoede/updates474399-x86_64.img

You can check if you actually got the updates.img, by going to virtual terminal
two (press ctrl+alt+f2 once in the graphical part of the installer) and type:
ls /tmp/updates

You should see a "block" directory under there, if you have that then you are
using the updates.img.
Comment 2 Serge Pavlovsky 2009-03-29 07:42:37 EDT
i have problem with software raid0
preupgrade, f10 dvd and f11 alpha dvd cant see raid
in dvd install /dev/mapper/ contains just one file 'control'
running dmraid -a y from second console works, but i have further problems with screen corruption
i cant test your updates.img because installer's networkmanager is unable to setup my network
Comment 3 Joel Andres Granados 2009-03-30 07:23:25 EDT
Can you pls post the output of `dmraid -an ; dmraid -ay -ddd -vvv` in tty2 at installation time.
Comment 4 Serge Pavlovsky 2009-03-30 15:36:06 EDT
RAID set "isw_cfidaabedc_Volume0" is not active
WARN: locking /var/lock/dmraid/.lock
NOTICE: /dev/sdb: asr     discovering
NOTICE: /dev/sdb: ddf1    discovering
NOTICE: /dev/sdb: hpt37x  discovering
NOTICE: /dev/sdb: hpt45x  discovering
NOTICE: /dev/sdb: isw     discovering
NOTICE: /dev/sdb: isw metadata discovered
NOTICE: /dev/sdb: jmicron discovering
NOTICE: /dev/sdb: lsi     discovering
NOTICE: /dev/sdb: nvidia  discovering
NOTICE: /dev/sdb: pdc     discovering
NOTICE: /dev/sdb: sil     discovering
NOTICE: /dev/sdb: via     discovering
NOTICE: /dev/sda: asr     discovering
NOTICE: /dev/sda: ddf1    discovering
NOTICE: /dev/sda: hpt37x  discovering
NOTICE: /dev/sda: hpt45x  discovering
NOTICE: /dev/sda: isw     discovering
NOTICE: /dev/sda: isw metadata discovered
NOTICE: /dev/sda: jmicron discovering
NOTICE: /dev/sda: lsi     discovering
NOTICE: /dev/sda: nvidia  discovering
NOTICE: /dev/sda: pdc     discovering
NOTICE: /dev/sda: sil     discovering
NOTICE: /dev/sda: via     discovering
DEBUG: _find_set: searching isw_cfidaabedc
DEBUG: _find_set: not found isw_cfidaabedc
DEBUG: _find_set: searching isw_cfidaabedc_Volume0
DEBUG: _find_set: searching isw_cfidaabedc_Volume0
DEBUG: _find_set: not found isw_cfidaabedc_Volume0
DEBUG: _find_set: not found isw_cfidaabedc_Volume0
NOTICE: added /dev/sdb to RAID set "isw_cfidaabedc"
DEBUG: _find_set: searching isw_cfidaabedc
DEBUG: _find_set: found isw_cfidaabedc
DEBUG: _find_set: searching isw_cfidaabedc_Volume0
DEBUG: _find_set: searching isw_cfidaabedc_Volume0
DEBUG: _find_set: found isw_cfidaabedc_Volume0
DEBUG: _find_set: found isw_cfidaabedc_Volume0
NOTICE: added /dev/sda to RAID set "isw_cfidaabedc"
DEBUG: checking isw device "/dev/sdb"
DEBUG: checking isw device "/dev/sda"
DEBUG: set status of set "isw_cfidaabedc_Volume0" to 16
RAID set "isw_cfidaabedc_Volume0" was activated
INFO: Activating GROUP raid set "isw_cfidaabedc"
NOTICE: discovering partitions on "isw_cfidaabedc_Volume0"
NOTICE: /dev/mapper/isw_cfidaabedc_Volume0: dos     discovering
NOTICE: /dev/mapper/isw_cfidaabedc_Volume0: dos metadata discovered
DEBUG: _find_set: searching isw_cfidaabedc_Volume0p1
DEBUG: _find_set: not found isw_cfidaabedc_Volume0p1
DEBUG: _find_set: searching isw_cfidaabedc_Volume0p2
DEBUG: _find_set: not found isw_cfidaabedc_Volume0p2
DEBUG: _find_set: searching isw_cfidaabedc_Volume0p3
DEBUG: _find_set: not found isw_cfidaabedc_Volume0p3
DEBUG: _find_set: searching isw_cfidaabedc_Volume0p4
DEBUG: _find_set: not found isw_cfidaabedc_Volume0p4
NOTICE: created partitioned RAID set(s) for /dev/mapper/isw_cfidaabedc_Volume0
RAID set "isw_cfidaabedc_Volume0p1" was activated
INFO: Activating partition raid set "isw_cfidaabedc_Volume0p1"
RAID set "isw_cfidaabedc_Volume0p2" was activated
INFO: Activating partition raid set "isw_cfidaabedc_Volume0p2"
RAID set "isw_cfidaabedc_Volume0p3" was activated
INFO: Activating partition raid set "isw_cfidaabedc_Volume0p3"
RAID set "isw_cfidaabedc_Volume0p4" was activated
INFO: Activating partition raid set "isw_cfidaabedc_Volume0p4"
WARN: unlocking /var/lock/dmraid/.lock
DEBUG: freeing devices of RAID set "isw_cfidaabedc_Volume0"
DEBUG: freeing device "isw_cfidaabedc_Volume0", path "/dev/sdb"
DEBUG: freeing device "isw_cfidaabedc_Volume0", path "/dev/sda"
DEBUG: freeing devices of RAID set "isw_cfidaabedc"
DEBUG: freeing device "isw_cfidaabedc", path "/dev/sdb"
DEBUG: freeing device "isw_cfidaabedc", path "/dev/sda"
DEBUG: freeing devices of RAID set "isw_cfidaabedc_Volume0p1"
DEBUG: freeing device "isw_cfidaabedc_Volume0p1", path "/dev/mapper/isw_cfidaabedc_Volume0"
DEBUG: freeing devices of RAID set "isw_cfidaabedc_Volume0p2"
DEBUG: freeing device "isw_cfidaabedc_Volume0p2", path "/dev/mapper/isw_cfidaabedc_Volume0"
DEBUG: freeing devices of RAID set "isw_cfidaabedc_Volume0p3"
DEBUG: freeing device "isw_cfidaabedc_Volume0p3", path "/dev/mapper/isw_cfidaabedc_Volume0"
DEBUG: freeing devices of RAID set "isw_cfidaabedc_Volume0p4"
DEBUG: freeing device "isw_cfidaabedc_Volume0p4", path "/dev/mapper/isw_cfidaabedc_Volume0"
Comment 5 Joel Andres Granados 2009-03-31 06:24:22 EDT
This seems like something that is handled in f11 beta, are you testing with F11 or F11?
Comment 6 Serge Pavlovsky 2009-03-31 06:43:52 EDT
log is from f10
i can find only f11 beta on mirrors, where can i get alpha ?
Comment 7 Serge Pavlovsky 2009-03-31 06:44:26 EDT
i mean 'where can ia get beta'
Comment 8 Joel Andres Granados 2009-03-31 13:03:57 EDT
comment #5 should have been "are you testing with F11 or F10" sorry.
F11 Beta should be hitting the mirrors shortly.  There is still an outstanding issue in the beta code (already corrected) but as I see in the output of your command, you probably wont hit it.
Beta url : https://fedoraproject.org/get-prerelease
Comment 9 Serge Pavlovsky 2009-04-10 11:35:33 EDT
fixed for me in f11 beta
Comment 10 Andy Lindeberg 2009-04-11 14:10:16 EDT
Could the original poster confirm that his problem is fixed in either Hans' updates image or in the Beta?

Note You need to log in before you can comment on or make changes to this bug.